Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.management
Class MBeanContainer

    java.lang.Object
      org.mortbay.management.MBeanContainer

All Implemented Interfaces:
  java.util.EventListener, Container.Listener

    public class MBeanContainer

extends java.lang.Object
implements Container.Listener

Constructor Summary
`MBeanContainer(javax.management.MBeanServer server)`

Method Summary
`void` | `add(Container.Relationship relationship)`
`void` | `addBean(java.lang.Object obj)`
`java.lang.Object` | `findBean(javax.management.ObjectName oname)`
`javax.management.ObjectName` | `findMBean(java.lang.Object object)`
`java.lang.String` | `getDomain()`
`javax.management.MBeanServer` | `getMBeanServer()`
`void` | `remove(Container.Relationship relationship)`
`void` | `removeBean(java.lang.Object obj)`
`void` | `setDomain(java.lang.String domain)`
`void` | `setManagementPort(int port)`
`void` | `start()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanContainer

    public MBeanContainer(javax.management.MBeanServer server)

Method Detail

### findMBean

    public javax.management.ObjectName findMBean(java.lang.Object object)

### findBean

    public java.lang.Object findBean(javax.management.ObjectName oname)

### getMBeanServer

    public javax.management.MBeanServer getMBeanServer()

### setDomain

    public void setDomain(java.lang.String domain)

### getDomain

    public java.lang.String getDomain()

### setManagementPort

    public void setManagementPort(int port)

### start

    public void start()

### add

    public void add(Container.Relationship relationship)

  Specified by:
    `add` in interface `Container.Listener`

### remove

    public void remove(Container.Relationship relationship)

  Specified by:
    `remove` in interface `Container.Listener`

### removeBean

    public void removeBean(java.lang.Object obj)

  Specified by:
    `removeBean` in interface `Container.Listener`

### addBean

    public void addBean(java.lang.Object obj)

  Specified by:
    `addBean` in interface `Container.Listener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.